From 5f7b178e98b066876d9d3bcfddd607d08d37fb1b Mon Sep 17 00:00:00 2001
From: Florents Tselai <florents.tselai@gmail.com>
Date: Fri, 23 May 2025 19:02:07 +0300
Subject: [PATCH v1] Add pg_proc.dat comment mentioning the unused_oids script

---
 src/include/catalog/pg_proc.dat | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/include/catalog/pg_proc.dat b/src/include/catalog/pg_proc.dat
index 37a484147a8..3fc16d921b6 100644
--- a/src/include/catalog/pg_proc.dat
+++ b/src/include/catalog/pg_proc.dat
@@ -37,6 +37,9 @@
 # been the custom to insert new entries adjacent to related older entries.
 # Try to do one or the other though, don't just insert entries at random.
 
+# To find unused OIDs see src/include/catalog/unused_oids.
+# If multiple related OIDs are added, it is suggested they're contiguous.
+
 # OIDS 1 - 99
 
 { oid => '1242', descr => 'I/O',
-- 
2.49.0

